Subject: Re: ISSUE 1: IPR was Re: Section 5.2 (IPR encumberance) in TAK rollover requirement draft

From: "Olaf M. Kolkman" <[email-masked]>
Date: Wed, 8 Mar 2006 10:04:20 +0100

>
>> and here's my answer.  count me as (b).  argumentation as above.   
>> patch
>> is:
>
> I think Paul has it right. So count me as (b) with his patch too.

Paul's text as the property that it does not mention the specific  
licenses; that does remove one the topics we are ratholing on (I do  
not think this working group should try to figure out what is the  
better license BSD, GPL2 or GPL3).

Paul's premisses is that we had consented on the "mandatory-to- 
implement" part of the key-rollover. The exact RFC2119 form (MUST,  
SHOULD or MAY NOT implement) of that requirement is open to  
discussion but I think we do consent to the spirit of the "mandatory- 
to-implement" part; "mandatory-to-implement" should be in between  
quotes indeed.

So in order to try and reach convergence --- which is incredibly  
difficult --- Are there more takers for this position?

Remember that we are looking for rough consensus; please put some  
water with your wine for the sake of progress.

Is this a text you can consent with:

>
> 5.2 No Intellectual Property Encumbrance
>
>     Because trust anchor rollover is considered "mandatory-to- 
> implement",
>     section 8 of [RFC3979] requires that the technology solution  
> chosen must
>     be unencumbered or must be available under royalty-free terms.
>
>     For this purpose, "royalty-free" is defined as follows: world  
> wide,
>     perpetual right to use, without fee, in commerce or otherwise,  
> where "use"
>     includes descriptions of algorithms, distribution and/or use of  
> hardware
>     implementations, distribution and/or use of software systems in  
> source
>     and/or binary form, in all DNS or DNSSEC applications including  
> registry,
>     registrar, domain name service including authority, recursion,  
> caching,
>     forwarding, stub resolver, or similar.
>
>     In summary, no implementor, distributor, or operator of the  
> technology
>     chosen for trust anchor management shall be expected or  
> required to pay
>     any fee to any IPR holder for the right to implement,  
> distribute, or
>     operate a system which includes the chosen mandatory-to-implement
>     solution.
>

--Olaf

-----------------------------------------------------------
Olaf M. Kolkman
NLnet Labs
http://www.nlnetlabs.nl/

---

From: Edward Lewis <[email-masked]>
Date: Wed, 8 Mar 2006 05:04:45 -0500

I've been told that my opinions don't count for much because I 
haven't read everything under the sun pertaining to this issue. 
(Sorry, I can't afford to become an expert on copyright law this 
week.)  So, for what it's worth, I will just react to this.

>Is this a text you can consent with:

Short answer is no.

>>  Because trust anchor rollover is considered "mandatory-to-implement",
>>  section 8 of [RFC3979] requires that the technology solution chosen must

The first paragraph is okay.

>>  For this purpose, "royalty-free" is defined as follows: world wide,
>>  perpetual right to use, without fee, in commerce or otherwise, where "use"
>>  includes descriptions of algorithms, distribution and/or use of hardware
>>  implementations, distribution and/or use of software systems in source
>>  and/or binary form, in all DNS or DNSSEC applications including registry,
>>  registrar, domain name service including authority, recursion, caching,

The second paragraph I strongly (but arguing from weakness) object to.

I am sure that there is a more reliable definition of "royalty-free" 
than what a bunch of DNS engineers can come up with on this mailing 
list.  As much as we don't like middle-boxes implementing subsets of 
the DNS protocol (such as fire-walls that don't parse EDNS0 
correctly), we shouldn't try to hack at legal and economic concepts 
in the same manner.

E.g., http://en.wikipedia.org/wiki/Royalty_free. 'Course, that's in 
the context of photographic images.

>>  In summary, no implementor, distributor, or operator of the technology
>>  chosen for trust anchor management shall be expected or required to pay
>>  any fee to any IPR holder for the right to implement, distribute, or

I would say that our goal is give interoperability every chance to 
succeed by deriving a solution that anyone is free to implement 
without having to succumb to the whims of any person or entity not 
under the auspices of the IETF.

I'm being obstinate because this is a topic best handled by legal and 
economic people, not network engineers.  As engineers, we understand 
interoperabilty, we aren't fluent in "right to implement..." kind of 
concepts, or what "pay any fee" means to the limits of the law.
-- 
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Edward Lewis                                                +1-571-434-5468
NeuStar

Nothin' more exciting than going to the printer to watch the toner drain...

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>

---

From: Ted Lemon <[email-masked]>
Date: Wed, 8 Mar 2006 09:11:51 -0700

> difficult --- Are there more takers for this position?

I'm perfectly happy with Paul's section instead of yours; I'm also perfectly 
happy with yours.

I don't think either one is "unprofessional."   The point is not to exclude 
"Thierry's proposal."   The point is to say what kind of IPR restrictions the 
working group is willing to accept on any protocol specification for a piece 
of technology that is be needed in some form or other in order for the whole 
protocol suite to be useful to users of the Internet: the people whom we 
ultimately serve when we do work for the IETF.